Bug 841634 - [abrt] gnome-shell-3.4.1-5.fc17: get_gsubgpos_table: Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
[abrt] gnome-shell-3.4.1-5.fc17: get_gsubgpos_table: Process /usr/bin/gnome-s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:8fce67c0aab72b64d49f4c2cc9c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 12:39 EDT by joey10946
Modified: 2013-08-01 02:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:51:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: event_log (20.51 KB, text/plain)
2012-07-19 12:39 EDT, joey10946
no flags Details
File: backtrace (187.87 KB, text/plain)
2012-07-19 12:39 EDT, joey10946
no flags Details
File: maps (83.32 KB, text/plain)
2012-07-19 12:39 EDT, joey10946
no flags Details
File: dso_list (20.22 KB, text/plain)
2012-07-19 12:39 EDT, joey10946
no flags Details
File: build_ids (6.17 KB, text/plain)
2012-07-19 12:39 EDT, joey10946
no flags Details
File: var_log_messages (4.55 KB, text/plain)
2012-07-19 12:39 EDT, joey10946
no flags Details

  None (edit)
Description joey10946 2012-07-19 12:39:03 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: get_gsubgpos_table
executable:     /usr/bin/gnome-shell
kernel:         3.4.4-5.fc17.x86_64
pid:            1145
pwd:            /home/Joe
time:           Tue 10 Jul 2012 21:31:04 CEST
uid:            1000
username:       Joe

backtrace:      Text file, 192374 bytes
build_ids:      Text file, 6314 bytes
dso_list:       Text file, 20708 bytes
event_log:      Text file, 21003 bytes
maps:           Text file, 85323 bytes
var_log_messages: Text file, 4659 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/Joe/2

core_backtrace:
:8f7c190397d7c1f617e66f18f759714662b60367 0x12e88 - libpangoft2-1.0.so.0 -
:8f7c190397d7c1f617e66f18f759714662b60367 0x1471e - libpangoft2-1.0.so.0 -
:8f7c190397d7c1f617e66f18f759714662b60367 0xfeae pango_ot_ruleset_new_for libpangoft2-1.0.so.0 -
:8f7c190397d7c1f617e66f18f759714662b60367 0x10136 pango_ot_ruleset_new_from_description libpangoft2-1.0.so.0 -
:8f7c190397d7c1f617e66f18f759714662b60367 0x105f3 pango_ot_ruleset_get_for_description libpangoft2-1.0.so.0 -
:8f7c190397d7c1f617e66f18f759714662b60367 0x219e2 - libpangoft2-1.0.so.0 -
:5350b5972464f66f404861dc50225a114a2a5e7e 0x2be9a pango_shape libpango-1.0.so.0 -
:5350b5972464f66f404861dc50225a114a2a5e7e 0xf2fd - libpango-1.0.so.0 -
:5350b5972464f66f404861dc50225a114a2a5e7e 0xf5fa - libpango-1.0.so.0 -
:5350b5972464f66f404861dc50225a114a2a5e7e 0x221fb - libpango-1.0.so.0 -
:5350b5972464f66f404861dc50225a114a2a5e7e 0x23007 - libpango-1.0.so.0 -
:5350b5972464f66f404861dc50225a114a2a5e7e 0x233ae pango_layout_get_size libpango-1.0.so.0 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x231d0 - librsvg-2.so.2 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x2310a - librsvg-2.so.2 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x23502 - librsvg-2.so.2 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x1dc23 - librsvg-2.so.2 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x1e123 - librsvg-2.so.2 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x1dc23 - librsvg-2.so.2 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x1e043 - librsvg-2.so.2 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x1dc23 - librsvg-2.so.2 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x2a25b rsvg_handle_render_cairo_sub librsvg-2.so.2 -
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb 0x2a6d5 rsvg_handle_get_pixbuf_sub librsvg-2.so.2 -
:42675a8ad8f70ff19362070510cdf1ba202a70db 0xefb - libpixbufloader-svg.so -
:c61e487cc8906c4f1bd85b39a4d751b414e423a0 0xd86a gdk_pixbuf_loader_close libgdk_pixbuf-2.0.so.0 -
:c61e487cc8906c4f1bd85b39a4d751b414e423a0 0x9ac3 - libgdk_pixbuf-2.0.so.0 -
:c61e487cc8906c4f1bd85b39a4d751b414e423a0 0xb3d1 gdk_pixbuf_new_from_stream_at_scale libgdk_pixbuf-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x14f9ae - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1525fa gtk_icon_info_load_icon libgtk-3.so.0 -
:fb339102a1f8532c110ac97acad8b87527bd1cfb 0x5a79a - libgnome-shell.so -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x6cd5e - libgio-2.0.so.0 -
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f 0x5c11e - libgio-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6ab42 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/Joe/keyring-DRDyuO
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=Joe
:USERNAME=Joe
:MAIL=/var/spool/mail/Joe
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/Joe/.local/bin:/home/Joe/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/Joe
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=916
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/Joe
:SHLVL=1
:LOGNAME=Joe
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-xfrL08IbF9,guid=b61233a7054b226685f36303000001a4
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/Joe
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-Joe-hx9nqH/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/920,unix/unix:/tmp/.ICE-unix/920
:SSH_AUTH_SOCK=/run/user/Joe/keyring-DRDyuO/ssh
:GPG_AGENT_INFO=/run/user/Joe/keyring-DRDyuO/gpg:0:1
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:DESKTOP_AUTOSTART_ID=10fb83d1db8fe401dd134194865019143700000009200000

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31461                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31461                31461                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/Joe/.xsession-errors
:pos:	1851
:flags:	0102002
:2:/home/Joe/.xsession-errors
:pos:	1851
:flags:	0102002
:3:pipe:[18700]
:pos:	0
:flags:	04000
:4:pipe:[18700]
:pos:	0
:flags:	01
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[18701]
:pos:	0
:flags:	02004002
:7:socket:[18702]
:pos:	0
:flags:	02004002
:8:/dev/nvidiactl
:pos:	0
:flags:	0100002
:9:/dev/nvidia0
:pos:	0
:flags:	0100002
:10:/dev/nvidia0
:pos:	0
:flags:	0100002
:11:/dev/nvidia0
:pos:	0
:flags:	0100002
:12:/dev/nvidia0
:pos:	0
:flags:	0100002
:13:/home/Joe/.nv/GLCache/a147bc5d819e1646d5baf3c8f0a017e4/05ff4155ed94b6fe/c6eb5423ccd49d57.toc
:pos:	948
:flags:	0100002
:14:/home/Joe/.nv/GLCache/a147bc5d819e1646d5baf3c8f0a017e4/05ff4155ed94b6fe/c6eb5423ccd49d57.bin
:pos:	4096
:flags:	0100002
:15:socket:[18703]
:pos:	0
:flags:	02004002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:18:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:19:socket:[19681]
:pos:	0
:flags:	02004002
:20:pipe:[18704]
:pos:	0
:flags:	02004000
:21:pipe:[18704]
:pos:	0
:flags:	02004001
:22:socket:[18707]
:pos:	0
:flags:	02004002
:23:socket:[19685]
:pos:	0
:flags:	02000002
:24:/dev/urandom
:pos:	0
:flags:	02100000
:25:socket:[18867]
:pos:	0
:flags:	02000002
:26:anon_inode:inotify
:pos:	0
:flags:	02004000
:27:/tmp/ffi6xdnf5 (deleted)
:pos:	0
:flags:	0100002
:28:socket:[19025]
:pos:	0
:flags:	02004002
:29:socket:[20119]
:pos:	0
:flags:	02004002
:30:socket:[20124]
:pos:	0
:flags:	02004002
:31:/dev/rfkill
:pos:	0
:flags:	0104002
:32:socket:[20153]
:pos:	0
:flags:	02004002
:33:/home/Joe/.local/share/gvfs-metadata/trash:
:pos:	0
:flags:	0100000
:34:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:35:pipe:[18947]
:pos:	0
:flags:	01
:36:/usr/share/gnome-shell/open-search-providers
:pos:	0
:flags:	02304000
:37:socket:[19111]
:pos:	0
:flags:	02004002
:38:socket:[19115]
:pos:	0
:flags:	02004002
:39:/usr/share/gnome-shell/search-providers
:pos:	0
:flags:	02304000
:40:/usr/share/icons/Faience/apps/scalable/accessories-calculator.svg
:pos:	65536
:flags:	0100000
:41:socket:[20267]
:pos:	0
:flags:	02
:42:socket:[20269]
:pos:	0
:flags:	02004002
:43:/sys/devices/platform/coretemp.0/temp2_input
:pos:	0
:flags:	0100000
:44:/usr/share/icons/Faience/apps/scalable/file-roller.svg
:pos:	65536
:flags:	0100000
:45:/usr/share/icons/Faenza/mimetypes/scalable/x-office-address-book.svg
:pos:	48341
:flags:	0100000
:46:/usr/share/icons/Faience/apps/scalable/palimpsest.svg
:pos:	23703
:flags:	0100000
:47:/usr/share/icons/Faience/apps/scalable/gnome-documents.svg
:pos:	65536
:flags:	0100000
:48:/usr/share/icons/Faience/apps/scalable/system-file-manager.svg
:pos:	31960
:flags:	0100000
:49:/usr/share/icons/Faience/apps/scalable/accessories-text-editor.svg
:pos:	65536
:flags:	0100000
:50:/usr/share/icons/Faience/apps/scalable/help-browser.svg
:pos:	24065
:flags:	0100000
:51:/usr/share/icons/Faenza/apps/scalable/stock_keyring.svg
:pos:	46059
:flags:	0100000
:52:/usr/share/icons/Faenza/apps/scalable/im-chooser.svg
:pos:	65536
:flags:	0100000

xsession_errors:
:(gnome-shell:1156): Clutter-WARNING **: Attempting to add actor of type 'StButton' to a container of type 'StBoxLayout', but the actor has already a parent of type 'StBoxLayout'.
:    JS ERROR: !!!   WARNING: file '/home/Joe/.local/share/gnome-shell/extensions/all-in-one-places@jofer/extension.js' line 38 exception 0 number 156
:    JS ERROR: !!!   WARNING: file '/home/Joe/.local/share/gnome-shell/extensions/all-in-one-places@jofer/extension.js' line 43 exception 0 number 156
:    JS ERROR: !!!   WARNING: file '/home/Joe/.local/share/gnome-shell/extensions/all-in-one-places@jofer/extension.js' line 540 exception 0 number 156
:    JS ERROR: !!!   WARNING: file '/home/Joe/.local/share/gnome-shell/extensions/all-in-one-places@jofer/extension.js' line 656 exception 0 number 156
:(gnome-shell:1156): Clutter-WARNING **: clutter_actor_lower: Actor 'StBoxLayout' is not in the same container as actor 'StBoxLayout'
:gnome-session[933]: WARNING: Application 'gnome-shell.desktop' killed by signal 11
:(gnome-shell:1372): Clutter-WARNING **: Attempting to add actor of type 'StButton' to a container of type 'StBoxLayout', but the actor has already a parent of type 'StBoxLayout'.
:    JS ERROR: !!!   WARNING: file '/home/Joe/.local/share/gnome-shell/extensions/all-in-one-places@jofer/extension.js' line 38 exception 0 number 156
:    JS ERROR: !!!   WARNING: file '/home/Joe/.local/share/gnome-shell/extensions/all-in-one-places@jofer/extension.js' line 43 exception 0 number 156
:    JS ERROR: !!!   WARNING: file '/home/Joe/.local/share/gnome-shell/extensions/all-in-one-places@jofer/extension.js' line 540 exception 0 number 156
:    JS ERROR: !!!   WARNING: file '/home/Joe/.local/share/gnome-shell/extensions/all-in-one-places@jofer/extension.js' line 656 exception 0 number 156
:(gnome-shell:1372): Clutter-WARNING **: clutter_actor_lower: Actor 'StBoxLayout' is not in the same container as actor 'StBoxLayout'
:(gnome-shell:1372): folks-WARNING **: Error preparing persona store 'eds:1341328836.7065.14@localhost.localdomain': Couldn't open address book ‘1341328836.7065.14@localhost.localdomain’: Cannot open book: Address book does not exist
:(gnome-shell:1372): Clutter-WARNING **: The actor 'StBoxLayout' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
:(gnome-shell:1372): Clutter-WARNING **: The actor 'StBoxLayout' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
:(gnome-shell:1372): Clutter-WARNING **: The actor 'StBin' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
:(gnome-shell:1372): Clutter-WARNING **: The actor 'ShellGenericContainer' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
:(gnome-shell:1372): Clutter-WARNING **: The actor 'StBin' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
:(gnome-shell:1372): Clutter-WARNING **: The actor 'bolt' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
:(gnome-shell:1372): Clutter-WARNING **: The actor 'uiGroup' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
Comment 1 joey10946 2012-07-19 12:39:08 EDT
Created attachment 599197 [details]
File: event_log
Comment 2 joey10946 2012-07-19 12:39:12 EDT
Created attachment 599198 [details]
File: backtrace
Comment 3 joey10946 2012-07-19 12:39:15 EDT
Created attachment 599199 [details]
File: maps
Comment 4 joey10946 2012-07-19 12:39:18 EDT
Created attachment 599200 [details]
File: dso_list
Comment 5 joey10946 2012-07-19 12:39:20 EDT
Created attachment 599201 [details]
File: build_ids
Comment 6 joey10946 2012-07-19 12:39:22 EDT
Created attachment 599202 [details]
File: var_log_messages
Comment 7 joey10946 2012-07-20 18:05:46 EDT
Logging in.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 Yajo 2012-07-30 09:33:24 EDT
Searching for something in the overview.

backtrace_rating: 4
Package: gnome-shell-3.4.1-5.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Fedora End Of Life 2013-07-03 21:52:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 02:51:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.